﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace ControlContainerEditor_CS
{
    public partial class EditingControlForm : Form
    {
        #region Constructor

        public EditingControlForm()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Event Handlers

        #region ultraGrid1_InitializeLayout

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.AutoFitStyle = Infragistics.Win.UltraWinGrid.AutoFitStyle.ExtendLastColumn;
            e.Layout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Override.RowSizing = Infragistics.Win.UltraWinGrid.RowSizing.AutoFixed;
            e.Layout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Override.CellAppearance.TextHAlign = Infragistics.Win.HAlign.Center;
            e.Layout.Override.CellAppearance.TextVAlign = Infragistics.Win.VAlign.Middle;

            // Set the default height to be the same height as the user control.  
            e.Layout.Override.DefaultRowHeight = this.dateTimeUC1.Height;
                        
            e.Layout.Bands[0].Columns["Next Appointment"].EditorComponent = this.ultraControlContainerEditor1;
        }
        #endregion //ultraGrid1_InitializeLayout

        #endregion //Event Handlers
    }
}
