﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ControlContainerEditor_CS
{
    public partial class MainForm : Form
    {
        #region Constructor

        public MainForm()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Event Handlers

        #region ShowDialogButton_Click

        private void ShowDialogButton_Click(object sender, EventArgs e)
        {
            Form dialog = null;

            try
            {
                if (sender == this.btnDiffEditAndRender)
                    dialog = new DifferentEditAndRenderForm();
                else if (sender == this.btnOnlyRenderingControl)
                    dialog = new RenderingControlForm();
                else if (sender == this.btnEditingControl)
                    dialog = new EditingControlForm();
                else if (sender == this.btnSameEditAndRender)
                    dialog = new SameRenderAndEditForm();
                else if (sender == this.btnUltraTree)
                    dialog = new UltraTreeRenderingControlHost();

                if (dialog != null)
                    dialog.ShowDialog(this);
            }
            finally
            {
                if (dialog != null)
                    dialog.Dispose();
            }
        }
        #endregion //ShowDialogButton_Click

        #endregion //Event Handlers
    }
}
