﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ControlContainerEditor_CS
{
    public partial class SameRenderAndEditForm : Form
    {
        #region Constructor

        public SameRenderAndEditForm()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Event Handlers

        private void SameRenderAndEditForm_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Address", typeof(Address));

            dt.Rows.Add(new object[] { "The Addams Family", new Address("001 Cemetery Lane", "Greenbriar", "CA", "37073", true) });
            dt.Rows.Add(new object[] { "The Munsters", new Address("1313 Mockingbird Lane", "Mockingbird Heights", "CA", "68127", false) });
            dt.Rows.Add(new object[] { "The Honeymooners", new Address("358 Chauncey Street", "Brooklyn", "NY", "10036", true) });

            this.ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            e.Layout.Bands[0].Columns["Address"].EditorComponent = this.ultraControlContainerEditor1;
            e.Layout.Bands[0].PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.AllRowsInBand);
            e.Layout.Override.RowSizing = Infragistics.Win.UltraWinGrid.RowSizing.AutoFree;
        }
        #endregion //Event Handlers
    }
}
