﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ControlContainerEditor_CS
{
    public partial class UltraTreeRenderingControlHost : Form
    {
        #region Constructor

        public UltraTreeRenderingControlHost()
        {
            InitializeComponent();
        }
        #endregion //Constructor

        #region Event Handlers

        #region UltraTreeRenderingControlHost_Load

        private void UltraTreeRenderingControlHost_Load(object sender, EventArgs e)
        {
            this.ultraTree1.Override.CellClickAction = Infragistics.Win.UltraWinTree.CellClickAction.EditCell;            
            this.ultraTree1.ColumnSettings.ColumnSets[0].AllowCellEdit = Infragistics.Win.UltraWinTree.AllowCellEdit.Full;

            // Assign the EditorComponent to the second column.
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns["In Stock"].EditorComponent = this.ultraControlContainerEditor1;

            // Ensure that the rows in the tree have enough room to display the contents of the UserControl
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns["In Stock"].LayoutInfo.PreferredCellSize = 
                new Size(0, this.numberControl1.PreferredSize.Height);
        }
        #endregion //UltraTreeRenderingControlHost_Load

        #endregion //Event Handlers
    }
}
